"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
const index_js_1 = require("./index.js");
const encodingTestCases = [
    {
        name: "windows-1252 to euc-kr",
        input: "ÀÚ",
        start: "windows-1252",
        end: "euc-kr",
        expectedOutput: "자",
    }
];
const runEncodingTest = (t, testCase) => {
    const result = (0, index_js_1.reEncode)(testCase.input, testCase.start, testCase.end);
    t.is(result, testCase.expectedOutput);
};
encodingTestCases.forEach((testCase) => {
    (0, ava_1.default)(testCase.name, (t) => {
        t.plan(1);
        runEncodingTest(t, testCase);
    });
});
